Bug 4320 - (int-113633) libhildondesktop's HD_DEFINE_PLUGIN_MODULE() is undocumented / not like G_DEFINE_TYPE()
(int-113633)
: libhildondesktop's HD_DEFINE_PLUGIN_MODULE() is undocumented / not like G_DEF...
Status: RESOLVED FIXED
Product: Desktop platform
Home
: 5.0-beta
: All Linux
: Low normal (vote)
: 5.0-beta2
Assigned To: unassigned
: home-bugs
:
: docs
:
:
  Show dependency tree
 
Reported: 2009-04-16 18:22 UTC by Murray Cumming
Modified: 2011-01-17 21:47 UTC (History)
3 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Murray Cumming (reporter) 2009-04-16 18:22:56 UTC
I assume that HD_DEFINE_PLUGIN_MODULE() is meant to be like G_DEFINE_TYPE()
plus some extra stuff to define hd_plugin_module_load() and friends.

1. If so, that should be documented.

2. Unlike G_DEFINE_TYPE(), HD_DEFINE_PLUGIN_MODULE() doesn't declare a
*_parent_class variables. That makes it hard to just swap one for the other.
Comment 1 Murray Cumming (reporter) 2009-04-16 18:30:21 UTC
Sorry. Ignore 2. I had a typo.

But 1 is still valid. G_DEFINE_TYPE() should be mentioned in the documentation.
Comment 3 Murray Cumming (reporter) 2009-04-20 10:36:29 UTC
Yes, please. I had forgotten to paste that link.
Comment 4 Quim Gil nokia 2009-04-22 07:19:09 UTC
Andre, please clone internally any bugs relating to API documentation.
Currently is the fastest way to get a fix since such documentation is produced
directly by the R&D teams. Thank you!
Comment 5 Andre Klapper maemo.org 2009-05-14 16:52:16 UTC
Fixed & internally released.
Comment 6 Andre Klapper maemo.org 2009-06-10 19:18:16 UTC
Mass-adding the new "docs" keyword. Sorry for the noise - You can filter your
bugmail by searching for "docs-cleanup-20090610".
Comment 7 Andre Klapper maemo.org 2009-07-14 13:45:04 UTC
Fix should be included in Fremantle SDK beta 2 hence updating Target Milestone.
If you are the reporter of this bug: Feel free to verify the fix if possible.
Comment 8 Murray Cumming (reporter) 2009-07-24 18:03:37 UTC
Yes,  G_DEFINE_DYNAMIC_TYPE() is now mentioned:
http://maemo.org/api_refs/5.0/beta/libhildondesktop/libhildondesktop-Plugin-Definition-Macros.html#HD-DEFINE-PLUGIN-MODULE:CAPS

but the "to" in "See also to G_DEFINE_DYNAMIC_TYPE()" is a typo:
Comment 9 Andre Klapper maemo.org 2011-01-17 21:47:21 UTC
Fixed. Typo is a different issue...